Validate store extension credentials
Validates that the store extension's saved credentials are correct by calling the underlying provider.
Required permissions: EXTENSION
post/tenants/{tenantUid}/stores/{storeUid}/extensions/{storeExtensionUid}/validate-credentials
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+storeExtensionUidstringRequiredPattern:
Reference to a store extension.
^[A-Za-z0-9-_]+Responses
204
Credentials are valid
No content
post/tenants/{tenantUid}/stores/{storeUid}/extensions/{storeExtensionUid}/validate-credentials
POST /v2/tenants/{tenantUid}/stores/{storeUid}/extensions/{storeExtensionUid}/validate-credentials HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204
Credentials are valid
No content
Last updated
Was this helpful?

